@charset 'utf-8';

a:link{
 color: green;
font-weight: bold;
}
a:visited{
color: purple;
font-weight: bold;
}
a:hover{
background-color: cyan;
padding: 2px;
}
a:active{
  border: 2px solid #FF0000;
  padding: 2px;
}
input:focus{
    border: 2px dotted #444;
}
input:checked + span{
    background-color: orange;
    padding: 4px;
}
input:read-only{
    background-color: darkred;
    color: white;
}

input:required{
    border: 2px solid blue;
}

input.myText4:optional{
    border: 2px solid grey;
}
input.valid:invalid{
    background-color: darkred;
}
input.valid:valid{
    background-color: green;
    color: white;
}
input.rang:out-of-range{
    background-color: darkred;
    color: white;
}
input.rang:in-range{
    background-color: green;
    color: white;
}

strong:first-child{
    background-color: cyan;
}
strong:last-child{
    background-color: green;
}
/* marca dependiendo la pocion ejem el numero 3 */
strong:nth-child(3){
    background-color: yellow;
}
.abuelo div{
    border-width: 2px;
    border-style: solid;
    border-color: black;
}
.padre::after{
    content: "Contenido insertado tras el contenido de los elemntos .padre";
    color: #009cde;
    font-weight: bold;
    text-transform: uppercase;
}
.padre::before{
    content: "Contenido insertado tras el contenido de los elemntos .padre";
    color: #0000ff;
    font-style:italic;
    text-transform: 0.8em;
}
.pseudoelementos2 p::first-letter{
    color: black;
    font-family: 'Time New Roman',serif;
    font-size: 100px;
}
.pseudoelementos2 p::first-line{
    color:#999
}
.pseudoelementos3 p::selection{
    color:cyan
}